//AB/ Project Choose database
//AB/ Object prj is a VIEW_Project
//AB/   Set ProjectName to "Choose database"
//AB/   Set ProjectFileName to "vlgdb.VW"
//AB/   Set GenerateFileName to "NONAME"

// Project Object Structure
//   vlgdb_vw is a dbView
//     aFilenumbers is a array
//     cnt3DBox is a Container3d
//       lstDatabasefiles is a List
//     cmdSelect is a Button
//     cmdCancel is a Button

// Register all objects
Register_Object cmdCancel
Register_Object cmdSelect
Register_Object aFilenumbers
Register_Object cnt3DBox
Register_Object lstDatabasefiles
Register_Object vlgdb_vw


//AB/ AppBuild VIEW

//AB-IgnoreStart

Use dfAllEnt.pkg

//AB-IgnoreEnd

ACTIVATE_VIEW Activate_vlgdb_vw FOR vlgdb_vw

Object vlgdb_vw is a dbView

  //AB-StoreTopStart

  Use Filform
  Use Dirform
  use dfprgres
  Use wincp850

  Property integer pIs_Viewed public 0

  Object aFilenumbers is an array
  end_object

  //AB-StoreTopEnd

  Set Label to "Select databasefile"
  Set Size to 153 285
  Set Location to 6 6

  //AB-DDOStart


  //AB-DDOEnd

  Object cnt3DBox is a Container3d
    Set Size to 110 276
    Set Location to 2 2
    Object lstDatabasefiles is a List
      Set Select_Mode to SINGLE_SELECT
      Set Label_Row_Offset to 1
      Set Label_Col_Offset to 0
      Set Label_Justification_Mode to jMode_Top
      Set Size to 103 269
      Set Location to 2 2
    End_Object    // lstDatabasefiles

  End_Object    // cnt3DBox

  Object cmdSelect is a Button

    //AB-StoreTopStart

    //AB-StoreTopEnd

    Set Default_State to TRUE
    Set Label to "Select"
    Set Location to 118 60

    //AB-StoreStart

    Procedure OnClick
      Local integer iSelected iFilenumber
      Local string sFilenumber
      Get current_item of (lstDatabasefiles(cnt3DBox(self))) to iSelected
      Get string_value of (aFilenumbers(self)) item iSelected to sFilenumber
      Set ActFilenumber to sFilenumber
      Send fill_the_list to (datainit_vw(client_area(self)))
      Send activate_datainit_vw
      Send close_panel
    end_procedure

    //AB-StoreEnd

  End_Object    // cmdSelect

  Object cmdCancel is a Button

    //AB-StoreTopStart

    //AB-StoreTopEnd

    Set Label to "Cancel"
    Set Location to 118 170

    //AB-StoreStart

    Procedure OnClick
      Send close_panel
    End_procedure

    //AB-StoreEnd

  End_Object    // cmdCancel


  //AB-StoreStart

  Set modal_state to true

  Procedure activate
    Local integer oList iFound
    Local string strDFPath strTemp strTest sFileout sFiledir sOutdir
    local integer iLastBackSlash iActPos tst
    Local string sRootname sMessage sLogicalName sDisplayName
    Local integer iFilenum iMaxRec iNumRec StructHandle
    Get pIs_Viewed to tst
    If Not tst begin
      send cursor_wait to (cursor_control(current_object))
      Set pIs_Viewed to 1
      Move (lstDatabasefiles(cnt3DBox(self))) to oList
      Send delete_data to oList
      Send delete_data to (aFilenumbers(self))
      Get iActDescriptionDirectiory to sOutdir

      move (sOutdir + "\CODETYPE.NTI") to sFileout
      Move (AKE_FileExists(sFileout)) to iFound
      move "CODETYPE" to sMessage
      If iFound move "(Init) CODETYPE" to sMessage
      Send add_item to oList msg_None sMessage
      Set array_value of (aFilenumbers(self)) item 0 to "CODETYPE"

      move (sOutdir + "\CODEMAST.NTI") to sFileout
      Move (AKE_FileExists(sFileout)) to iFound
      move "CODEMAST" to sMessage
      If iFound move "(Init) CODEMAST" to sMessage
      Send add_item to oList msg_None sMessage
      Set array_value of (aFilenumbers(self)) item 1 to "CODEMAST"

  //    move (sOutdir + "\FLEXERRS.NTI") to sFileout
  //    file_exist sFileout iFound
  //    move "FLEXERRS" to sMessage
  //    If iFound move "(Init) FLEXERRS" to sMessage
  //    Send add_item to oList msg_None sMessage
  //    Set array_value of (aFilenumbers(self)) item 2 to "FLEXERRS"

          Move 2 to iActPos
          For iFilenum From 1 to 250
              Get_attribute DF_FILE_ROOT_NAME of iFilenum to sRootname
              Get_attribute DF_FILE_LOGICAL_NAME of iFilenum to sLogicalName
              Get_attribute DF_FILE_DISPLAY_NAME of iFilenum to sDisplayName
              If (Trim(sRootname) <> "") begin
                move (sOutdir + "\" + sLogicalName + ".NTI") to sFileout
                Move (AKE_FileExists(sFileout)) to iFound
                move "#" to sMessage
                If iFound move "(Init) #" to sMessage
                append sMessage iFilenum ", " sRootname ", " sDisplayName ", " sLogicalName
                send add_item to oList msg_None sMessage
                Set array_value of (aFilenumbers(self)) item iActPos to iFilenum
                increment iActPos
              end
          Loop
    end
    send cursor_ready to (cursor_control(current_object))
    Forward send activate
  end_procedure


  //AB-StoreEnd

End_Object    // vlgdb_vw

//AB/ End_Object    // prj
