//AB/ Project Choose database
//AB/ Object prj is a View_Project
//AB/     Set ProjectName to "Choose database"
//AB/     Set ProjectFileName to "vlgdb.vw"

// Project Object Structure
//   vlgdb_vw is a dbView
//     aFilenumbers is a array
//     cnt3DBox is a Container3d
//       lstDatabasefiles is a List
//     cmdSelect is a Button
//     cmdCancel is a Button

// Register all objects
Register_Object aFilenumbers
Register_Object cmdCancel
Register_Object cmdSelect
Register_Object cnt3DBox
Register_Object lstDatabasefiles
Register_Object vlgdb_vw


//AB/ AppBuild VIEW

//AB-IgnoreStart


//AB-IgnoreEnd

Activate_View Activate_vlgdb_vw For vlgdb_vw

Object vlgdb_vw Is A dbView

    //AB-StoreTopStart
    
    Use Filform
    Use Dirform
    Use dfprgres
    
    Property Integer pIs_Viewed public 0
    
    Object aFilenumbers Is An array
    End_Object
    
    //AB-StoreTopEnd

    Set Label To "Select databasefile"
    Set Size To 153 285
    Set Location To 6 6

    //AB-DDOStart


    //AB-DDOEnd

    Object cnt3DBox Is A Container3d
        Set Size To 110 276
        Set Location To 2 2
        Object lstDatabasefiles Is A List
            Set Size To 103 269
            Set Location To 2 2
            Set Label_Col_Offset To 0
            Set Label_Row_Offset To 1
            Set Label_Justification_Mode To jMode_Top
        End_Object    // lstDatabasefiles

    End_Object    // cnt3DBox

    Object cmdSelect Is A Button

        //AB-StoreTopStart
        
        //AB-StoreTopEnd

        Set Label To "Select"
        Set Location To 118 60
        Set Default_State To True

        //AB-StoreStart
        
        Procedure OnClick
          Local Integer iSelected iFilenumber
          Local String sFilenumber
          Get current_item Of (lstDatabasefiles(cnt3DBox(Self))) To iSelected
          Get string_value Of (aFilenumbers(Self)) item iSelected To sFilenumber
          Set ActFilenumber To sFilenumber
          Send fill_the_list To (datainit_vw(client_area(Self)))
          Send activate_datainit_vw
          Send close_panel
        End_Procedure
        
        //AB-StoreEnd

    End_Object    // cmdSelect

    Object cmdCancel Is A Button

        //AB-StoreTopStart
        
        //AB-StoreTopEnd

        Set Label To "Cancel"
        Set Location To 118 170

        //AB-StoreStart
        
        Procedure OnClick
          Send close_panel
        End_Procedure
        
        //AB-StoreEnd

    End_Object    // cmdCancel


    //AB-StoreStart
    
    Set modal_state To True
    
    Procedure activate
        Integer oList iFound
        String strDFPath strTemp strTest sFileout sFiledir sOutdir
        Integer iLastBackSlash iActPos tst
        String sRootname sMessage sLogicalName sDisplayName
        Integer iFilenum iMaxRec iNumRec StructHandle
        Get pIs_Viewed To tst
        If Not tst Begin
            Send cursor_wait To (cursor_control(current_object))
            Set pIs_Viewed To 1
            Move (lstDatabasefiles(cnt3DBox(Self))) To oList
            Send delete_data To oList
            Send delete_data To (aFilenumbers(Self))
            Get iActDescriptionDirectiory To sOutdir
    
            Move (sOutdir + "\CODETYPE.NTI") To sFileout
            Get vFilePathExists sFileout To iFound
            Move "CODETYPE" To sMessage
            If iFound Move "(Init) CODETYPE" To sMessage
            Send add_item To oList msg_None sMessage
            Set array_value Of (aFilenumbers(Self)) item 0 To "CODETYPE"
    
            Move (sOutdir + "\CODEMAST.NTI") To sFileout
            Get vFilePathExists sFileout To iFound
            Move "CODEMAST" To sMessage
            If iFound Move "(Init) CODEMAST" To sMessage
            Send add_item To oList msg_None sMessage
            Set array_value Of (aFilenumbers(Self)) item 1 To "CODEMAST"
    
            Move 2 To iActPos
            For iFilenum From 1 To 250
                Get_Attribute DF_FILE_ROOT_NAME Of iFilenum To sRootname
                Get_Attribute DF_FILE_LOGICAL_NAME Of iFilenum To sLogicalName
                Get_Attribute DF_FILE_DISPLAY_NAME Of iFilenum To sDisplayName
                If (Trim(sRootname) <> "") Begin
                    Move (sOutdir + "\" + sLogicalName + ".NTI") To sFileout
                    Get vFilePathExists sFileout To iFound
                    Move "#" To sMessage
                    If iFound Move "(Init) #" To sMessage
                    Append sMessage iFilenum ", " sRootname ", " sDisplayName ", " sLogicalName
                    Send add_item To oList msg_None sMessage
                    Set array_value Of (aFilenumbers(Self)) item iActPos To iFilenum
                    Increment iActPos
                End
            Loop
        End
        Send cursor_ready To (cursor_control(current_object))
        Forward Send activate
    End_Procedure
    
    
    //AB-StoreEnd

End_Object    // vlgdb_vw

//AB/ End_Object    // prj
