//AB/ Project Databasedescription
//AB/ Object prj is a View_Project
//AB/     Set ProjectName to "Databasedescription"
//AB/     Set ProjectFileName to "describe.vw"

// Project Object Structure
//   Describe_vw is a dbView
//     cnt3DBox is a Container3d
//       Textbox1 is a Textbox
//       frmDatabase is a FilForm
//       DirOutput is a dirform
//       pStatus is a cProgressBar
//     cmdInitdata is a Button
//     Button1 is a Button
//     Button2 is a Button

// Register all objects
Register_Object Button1
Register_Object Button2
Register_Object cmdInitdata
Register_Object cnt3DBox
Register_Object Describe_vw
Register_Object DirOutput
Register_Object frmDatabase
Register_Object pStatus
Register_Object Textbox1


//AB/ AppBuild VIEW


//AB-StoreTopStart
Use vlgdb.vw

//AB-StoreTopEnd

//AB-IgnoreStart

Use FilForm.Pkg
Use Dirform.pkg
Use cProgressBar.pkg

//AB-IgnoreEnd

Activate_View Activate_Describe_vw For Describe_vw

Object Describe_vw Is A dbView
    Set Label To "Databasedescription"
    Set Size To 90 347
    Set Location To 5 5

    //AB-DDOStart


    //AB-DDOEnd

    Object cnt3DBox Is A Container3d
        Set Size To 50 338
        Set Location To 2 2
        Object Textbox1 Is A Textbox
            Set Label To "Described:"
            Set FontSize To 4 0
            Set Location To 34 60
            Set Size To 10 35
            Set TypeFace To "MS Sans Serif"
        End_Object    // Textbox1

        Object frmDatabase Is A FilForm
            Set Label To "Database (Filelist.cfg):"
            Set Size To 13 233
            Set Location To 2 99
            Set Label_Col_Offset To 3
            Set Label_Justification_Mode To jMode_Right
            Set RegistrationValueName To "Databasesrc"
            Set Dialog_caption To "Choose Visual DataFlex Database"
            Set Filter_String To "Filelist.cfg (*.cfg)|*.cfg|All files (*.*)|*.*"

            //AB-StoreStart
                                                
            //AB-StoreEnd

        End_Object    // frmDatabase

        Object DirOutput Is A dirform
            Set Label To "Directory for descriptionfiles:"
            Set Size To 13 233
            Set Location To 17 99
            Set Label_Col_Offset To 3
            Set Label_Justification_Mode To jMode_Right
            Set RegistrationValueName To "Databasedesc"
            Set Dialog_caption To "Choose directory for descriptionfiles"

            //AB-StoreStart
                                                
            //AB-StoreEnd

        End_Object    // DirOutput

        Object pStatus Is A cProgressBar
            Set piMaximum To 250
            Set piAdvanceBy To 1
            Set Location To 32 99
            Set Size To 13 233

            //AB-StoreStart
                                                                                                
            //AB-StoreEnd

        End_Object    // pStatus

    End_Object    // cnt3DBox

    Object cmdInitdata Is A Button
        Set Label To "Databaseinitalizing"
        Set Size To 14 82
        Set Location To 57 40

        //AB-StoreStart
                
        Procedure OnClick
            String strDFPath strTemp sOutdir strTest
            Integer iLastBackSlash iError
            Get value Of frmdatabase To strTemp
            Get value Of diroutput To sOutdir
            If (Trim(strTemp) = "") Begin
                Increment iError
                Send info_box "Choose database."
            End
            If (Trim(sOutdir) = "") Begin
                Increment iError
                Send info_box "Choose directory for descriptionfiles."
            End
            If Not iError Begin
                //Set the new filelist
                Set_FileList strTemp
                //Set the DFPath to the new setting
                Move strTemp To strDFPath
                Length strTemp To iLastBackSlash
                Repeat
                    Mid strTemp To strTest 1 iLastBackSlash
                    Decrement iLastBackSlash
                Until (strTest = "\")
                Left strDFPath To strDFPath iLastBackSlash
                Set_DFPath To strDFPath
                Set iActDescriptionDirectiory To sOutdir
                Set pIs_Viewed Of (vlgdb_vw(client_area(Self))) To 0
                Send close_panel
                Send activate_vlgdb_vw
            End
        End_Procedure
        
        //AB-StoreEnd

    End_Object    // cmdInitdata

    Object Button1 Is A Button

        //AB-StoreTopStart
        //************************************************************************
        //*** Desription routine for Update-Utility
        //************************************************************************
        //*** Descripe.inc
        //*** Version: 2.2
        //*** Copyright (c) 2000-2001 NordTeam Gruppen
        //*** (Code has been clarified OPEN SOURCE 22/9 2000).
        //***
        //*** Author......: Allan Kim Eriksen
        //*** Created.....: 25/9 2000
        //************************************************************************
        // This is the description part.
        //************************************************************************
        
        Property String pOutDir public ""
        
        //AB-StoreTopEnd

        Set Label To "Start"
        Set Location To 57 162

        //AB-StoreStart
        
        Procedure OnClick
            String strTemp sOutdir
            Integer iError
            Get value Of (frmdatabase(cnt3DBox(Self))) To strTemp
            Get value Of (diroutput(cnt3DBox(Self))) To sOutdir
            If (Trim(strTemp) = "") Begin
              Increment iError
              Send info_box "Choose database."
            End
            If (Trim(sOutdir) = "") Begin
              Increment iError
              Send info_box "Choose directory for descriptionfiles."
            End
            If Not iError Send Describe
        End_Procedure
        
        Procedure Describe
            String strDFPath strTemp strTest sFileout sFiledir sOutdir
            Integer iLastBackSlash iActPos hId iSeqFile
            String sRootname sMessage sLogicalName sDisplayName sDirLine
            Integer iFilenum iMaxRec iNumRec StructHandle
            Boolean bFound bDeleted
            Get value Of (frmdatabase(cnt3DBox(Self))) To strTemp
            Get value Of (diroutput(cnt3DBox(Self))) To sOutdir
            //Set the new filelist
            Set_FileList strTemp
            //Set the DFPath to the new setting
            Move strTemp To strDFPath
            Length strTemp To iLastBackSlash
            Repeat
                Mid strTemp To strTest 1 iLastBackSlash
                Decrement iLastBackSlash
            Until (strTest = "\")
            Left strDFPath To strDFPath iLastBackSlash
            Set_DFPath To strDFPath
            Move strDFPath To sFiledir
            Append sFiledir "\"
        
            If (Trim(sOutdir) = "") Move sFiledir To sOutdir
            Else Append sOutdir "\"
        
            Set pOutDir To sOutDir
        
            Send cursor_wait To (cursor_control(current_object))
        
            // Delete old nta, ntb and ntc files.
            // ntk and nti files needs to survive.
            Move "dir: " To sFileOut
            Append sFileOut sOutDir "*.nta"
            Get Seq_New_Channel To iSeqFile
            Direct_Input Channel iSeqFile sFileOut
            Readln Channel iSeqFile sDirLine
            While (Not(Seqeof))
                Uppercase sDirLine To sDirLine
                If ".NTA" in sDirLine Begin
                    Get FileDelete (sOutDir + sDirLine) To bDeleted
                End
                Readln Channel iSeqFile sDirLine
            Loop
            Close_Input Channel iSeqFile
            Send Seq_Release_Channel iSeqFile
            Move "dir: " To sFileOut
            Append sFileOut sOutDir "*.ntb"
            Get Seq_New_Channel To iSeqFile
            Direct_Input Channel iSeqFile sFileOut
            Readln Channel iSeqFile sDirLine
            While (Not(Seqeof))
                Uppercase sDirLine To sDirLine
                If ".NTB" in sDirLine Begin
                    Get FileDelete (sOutDir + sDirLine) To bDeleted
                End
                Readln Channel iSeqFile sDirLine
            Loop
            Close_Input Channel iSeqFile
            Send Seq_Release_Channel iSeqFile
            Move "dir: " To sFileOut
            Append sFileOut sOutDir "*.ntc"
            Get Seq_New_Channel To iSeqFile
            Direct_Input Channel iSeqFile sFileOut
            Readln Channel iSeqFile sDirLine
            While (Not(Seqeof))
                Uppercase sDirLine To sDirLine
                If ".NTC" in sDirLine Begin
                    Get FileDelete (sOutDir + sDirLine) To bDeleted
                End
                Readln Channel iSeqFile sDirLine
            Loop
            Close_Input Channel iSeqFile
            Send Seq_Release_Channel iSeqFile
        
            // Start description
            Move 0 To iFilenum   //Start at top of current filelist
            Repeat
                Get_Attribute DF_FILE_NEXT_USED Of iFilenum To iFilenum
                Set piPosition Of (pStatus(cnt3DBox(Self))) To iFilenum
                If iFilenum Begin
                    Get_Attribute DF_FILE_ROOT_NAME Of iFilenum To sRootname
                    Get_Attribute DF_FILE_LOGICAL_NAME Of iFilenum To sLogicalName
                    Get_Attribute DF_FILE_DISPLAY_NAME Of iFilenum To sDisplayName
                    If ((Uppercase(Trim(sRootname))) <> "FLEXERRS") Begin
                        Open iFilenum Mode DF_EXCLUSIVE
                        If (Found) Send DoDescribeFile iFilenum
                        Close iFilenum
                    End
                End
            Until (iFilenum = 0)
            Set piPosition Of (pStatus(cnt3DBox(Self))) To 250
            Send cursor_ready To (cursor_control(current_object))
        
            Send info_box "Description is complete!"
        End_Procedure
        
        Procedure DoDescribeFile Integer Filenum
            String sv sOutDir sLogicalname sFileout sFieldname
            Number nv
            Integer iNoOffields iActPos iLastIndex iActIndex iNoOfSegments
            Integer iSeqFile
            Get pOutDir To sOutDir
            Get_Attribute DF_FILE_LOGICAL_NAME Of Filenum To sLogicalname
        
            //*** FILE definition
            Move (sOutdir + (Trim(sLogicalname)) + ".NTA") To sFileout
            Get Seq_New_Channel To iSeqFile
            Direct_Output Channel iSeqFile sFileout
            Get_Attribute DF_FILE_COMPRESSION Of Filenum To nv
            Move "" To sv
            If (nv = DF_FILE_COMPRESS_NONE) Move "None" To sv
            If (nv = DF_FILE_COMPRESS_FAST) Move "Fast" To sv
            If (nv = DF_FILE_COMPRESS_STANDARD) Move "Standard" To sv
            If (nv = DF_FILE_COMPRESS_CUSTOM) Move "Custom" To sv
            Writeln Channel iSeqFile "Compression, " sv
            Get_Attribute DF_FILE_DISPLAY_NAME Of Filenum To sv
            Writeln Channel iSeqFile "Display name, " sv
            Get_Attribute DF_FILE_DRIVER Of Filenum To sv
            Writeln Channel iSeqFile "Driver, " sv
            Get_Attribute DF_FILE_INTEGRITY_CHECK Of Filenum To nv
            Move "" To sv
            If (nv = DFTRUE) Move "Yes" To sv
            Else Move "No" To sv
            Writeln Channel iSeqFile "Integrity check, " sv
            Get_Attribute DF_FILE_IS_SYSTEM_FILE Of Filenum To nv
            Move "" To sv
            If (nv = DFTRUE) Move "Yes" To sv
            Else Move "No" To sv
            Writeln Channel iSeqFile "System file, " sv
            Get_Attribute DF_FILE_LAST_INDEX_NUMBER Of Filenum To iLastIndex
            Move iLastIndex To sv
            Writeln Channel iSeqFile "Last index number, " sv
            Get_Attribute DF_FILE_LOCK_TYPE Of Filenum To nv
            Move "" To sv
            If (nv = DF_LOCK_TYPE_NONE) Move "None" To sv
            If (nv = DF_LOCK_TYPE_FILE) Move "File" To sv
            If (nv = DF_LOCK_TYPE_RECORD) Move "Record" To sv
            Writeln Channel iSeqFile "Lock type, " sv
            Get_Attribute DF_FILE_LOGICAL_NAME Of Filenum To sv
            Writeln Channel iSeqFile "Logical name, " sv
            // DF_FILE_LOGIN currently not in NTA-definition
            Get_Attribute DF_FILE_MAX_RECORDS Of Filenum To nv
            Move nv To sv
            Writeln Channel iSeqFile "Max records, " sv
            Get_Attribute DF_FILE_MULTIUSER Of Filenum To nv
            Move "" To sv
            If (nv = DF_FILE_USER_MULTI) Move "Yes" To sv
            If (nv = DF_FILE_USER_SINGLE) Move "No" To sv
            Writeln Channel iSeqFile "Multiuser, " sv
            Writeln Channel iSeqFile "File number, " Filenum
            //DF_FILE_OWNER currently not in NTA-definition
            //DF_PHYSICAL_NAME currently not in NTA-definition
            Get_Attribute DF_FILE_RECORD_IDENTITY Of Filenum To nv
            Move nv To sv
            Writeln Channel iSeqFile "Record identity, " sv
            Get_Attribute DF_FILE_RECORD_LENGTH Of Filenum To nv
            Move nv To sv
            Writeln Channel iSeqFile "Record length, " sv
            Get_Attribute DF_FILE_REUSE_DELETED Of Filenum To nv
            Move "" To sv
            If (nv = DF_FILE_DELETED_NOREUSE) Move "No" To sv
            If (nv = DF_FILE_DELETED_REUSE) Move "Yes" To sv
            Writeln Channel iSeqFile "Reuse deleted records, " sv
            Get_Attribute DF_FILE_REVISION Of Filenum To sv
            Writeln Channel iSeqFile "Revision, " sv
            Get_Attribute DF_FILE_ROOT_NAME Of Filenum To sv
            Writeln Channel iSeqFile "Root name, " sv
            Get_Attribute DF_FILE_TRANSACTION Of Filenum To nv
            Move "" To sv
            If (nv = DF_FILE_TRANSACTION_NONE) Move "None" To sv
            If (nv = DF_FILE_TRANSACTION_CLIENT_ATOMIC) Move "Client atomic" To sv
            If (nv = DF_FILE_TRANSACTION_SERVER_ATOMIC) Move "Server atomic" To sv
            If (nv = DF_FILE_TRANSACTION_SERVER_LOGGED) Move "Server logged" To sv
            Writeln Channel iSeqFile "Transaction, " sv
            //DF_FILE_TYPE currently not in NTA-definition
            Close_Output Channel iSeqFile
            Send Seq_Release_Channel iSeqFile
        
            //*** FIELD definition
            Move (sOutdir + (Trim(sLogicalname)) + ".NTB") To sFileout
            Get Seq_New_Channel To iSeqFile
            Direct_Output Channel iSeqFile sFileout
            Get_Attribute DF_FILE_NUMBER_FIELDS Of Filenum To iNoOfFields
            For iActPos From 1 To iNoOfFields
                //Fieldnumber is iActPos
                Get_Attribute DF_FIELD_NAME Of Filenum iActPos To sFieldname
                Writeln Channel iSeqFile "Name, " iActpos ", " sFieldname
                Get_Attribute DF_FIELD_INDEX Of Filenum iActPos To nv
                Writeln Channel iSeqFile "Main index," iActpos ", " nv
                Get_Attribute DF_FIELD_LENGTH Of Filenum iActPos To nv
                Writeln Channel iSeqFile "Length," iActpos ", " nv
                Get_Attribute DF_FIELD_OFFSET Of Filenum iActPos To nv
                Writeln Channel iSeqFile "Offset," iActpos ", " nv
                Get_Attribute DF_FIELD_PRECISION Of Filenum iActPos To nv
                Writeln Channel iSeqFile "Precision," iActpos ", " nv
                Get_Attribute DF_FIELD_RELATED_FIELD Of Filenum iActPos To nv
                Writeln Channel iSeqFile "Related field," iActpos ", " nv
                Get_Attribute DF_FIELD_RELATED_FILE Of Filenum iActPos To nv
                Writeln Channel iSeqFile "Related file," iActpos ", " nv
                Get_Attribute DF_FIELD_TYPE Of Filenum iActPos To nv
                Move "" To sv
                If (nv = DF_ASCII) Move "Ascii" To sv
                If (nv = DF_BCD) Move "Nummeric" To sv
                If (nv = DF_DATE) Move "Date" To sv
                If (nv = DF_TEXT) Move "Text" To sv
                If (nv = DF_BINARY) Move "Binary" To sv
                If (nv = DF_OVERLAP) Move "Overlap" To sv
                Writeln Channel iSeqFile "Type, " iActPos ", " sv
            Loop
            Close_Output Channel iSeqFile
            Send Seq_Release_Channel iSeqFile
        
            //*** INDEX definition
            Move (sOutdir + (Trim(sLogicalname)) + ".NTC") To sFileout
            Get Seq_New_Channel To iSeqFile
            Direct_Output Channel iSeqFile sFileout
            For iActIndex From 1 To iLastIndex
                Get_Attribute DF_INDEX_NUMBER_SEGMENTS Of Filenum iActIndex To iNoOfSegments
                If (iNoOfSegments) Begin
                    Get_Attribute DF_INDEX_TYPE Of Filenum iActIndex To nv
                    Move "" To sv
                    If (nv = DF_INDEX_TYPE_ONLINE) Move "Online" To sv
                    If (nv = DF_INDEX_TYPE_BATCH) Move "Batch" To sv
                    Writeln Channel iSeqFile "Type, " iActIndex ", , " sv
                    For iActPos From 1 To iNoOfSegments
                        Get_Attribute DF_INDEX_SEGMENT_CASE Of Filenum IActIndex iActPos To nv
                        Move "" To sv
                        If (nv = DF_CASE_USED) Move "Used" To sv
                        If (nv = DF_CASE_IGNORED) Move "Ignored" To sv
                        Writeln Channel iSeqFile "Case, " iActIndex ", " iActPos ", " sv
                        Get_Attribute DF_INDEX_SEGMENT_DIRECTION Of Filenum IActIndex iActPos To nv
                        Move "" To sv
                        If (nv = DF_ASCENDING) Move "Ascending" To sv
                        If (nv = DF_DESCENDING) Move "Descending" To sv
                        Writeln Channel iSeqFile "Direction, " iActIndex ", " iActPos ", " sv
                        Get_Attribute DF_INDEX_SEGMENT_FIELD Of Filenum IActIndex iActPos To nv
                        Writeln Channel iSeqFile "Field, " iActIndex ", " iActPos ", " nv
                    Loop
                End
            Loop
            Close_Output Channel iSeqFile
            Send Seq_Release_Channel iSeqFile
        
        End_Procedure
        
        //AB-StoreEnd

    End_Object    // Button1

    Object Button2 Is A Button
        Set Label To "Exit"
        Set Location To 57 252

        //AB-StoreStart
                
        Procedure OnClick
            Send close_panel
        End_Procedure
        
        //AB-StoreEnd

    End_Object    // Button2


    //AB-StoreStart
        
    //AB-StoreEnd

End_Object    // Describe_vw


//AB-StoreStart

//AB-StoreEnd

//AB/ End_Object    // prj
