//AB/ Project Databasedescription
//AB/ Object prj is a VIEW_Project
//AB/   Set ProjectName to "Databasedescription"
//AB/   Set ProjectFileName to "DoDescribe.VW"
//AB/   Set GenerateFileName to "NONAME"

// Project Object Structure
//   Describe_vw is a dbView
//     cnt3DBox is a Container3d
//       Textbox1 is a Textbox
//       frmDatabase is a Filform
//       DirOutput is a Dirform
//       pStatus is a Progressbar
//     cmdInitdata is a Button
//     Button1 is a Button
//     Button2 is a Button

// Register all objects
Register_Object Button1
Register_Object Button2
Register_Object Describe_vw
Register_Object cmdInitdata
Register_Object DirOutput
Register_Object frmDatabase
Register_Object cnt3DBox
Register_Object pStatus
Register_Object Textbox1


//AB/ AppBuild VIEW

//AB-IgnoreStart

Use dfAllEnt.pkg

//AB-IgnoreEnd

ACTIVATE_VIEW Activate_Describe_vw FOR Describe_vw

Object Describe_vw is a dbView

  //AB-StoreTopStart

  Use Filform
  Use Dirform
  use dfprgres
  Use wincp850

  Register_object vlgdb_vw

  //AB-StoreTopEnd

  Set Label to "Databasedescription"
  Set Size to 90 347
  Set Location to 5 5

  //AB-DDOStart


  //AB-DDOEnd

  Object cnt3DBox is a Container3d
    Set Size to 50 338
    Set Location to 2 2
    Object Textbox1 is a Textbox
      Set Label to "Described:"
      Set TypeFace to "MS Sans Serif"
      Set FontSize to 4 0
      Set Size to 10 35
      Set Location to 34 60
    End_Object    // Textbox1

    Object frmDatabase is a FilForm

      //AB-StoreTopStart

      //AB-StoreTopEnd

      Set Label to "Database (Filelist.cfg):"
      Set Label_Col_Offset to 3
      Set Label_Justification_Mode to jMode_Right
      Set Prompt_Button_Mode to pb_PromptOn
      Set Size to 13 233
      Set Location to 2 99

      //AB-StoreStart

      Set Dialog_caption of (openfile(self)) to "Choose Visual DataFlex Database"
      Set Filter_String to  "Filelist.cfg (*.cfg)|*.cfg|All files (*.*)|*.*"
      Set DefaultDir to "Databasesrc"

      Procedure Prompt
        Local string stxt sModule
        Forward send prompt
        get value to stxt
        Get Module_Name to sModule
        Set_profile_string sModule "Databasesrc" to sTxt
      End_Procedure

      //AB-StoreEnd

    End_Object    // frmDatabase

    Object DirOutput is a DirForm

      //AB-StoreTopStart

      //AB-StoreTopEnd

      Set Label to "Directory for descriptionfiles:"
      Set Label_Col_Offset to 3
      Set Label_Justification_Mode to jMode_Right
      Set Prompt_Button_Mode to pb_PromptOn
      Set Size to 13 233
      Set Location to 17 99

      //AB-StoreStart
      Set Status_help to "Choose directory for descriptionfiles"

      Procedure Prompt
        Local string stxt sModule
        Forward send prompt
        get value to stxt
        Get Module_Name to sModule
        Set_profile_string sModule "Databasedescription" to sTxt
      End_Procedure

      //AB-StoreEnd

    End_Object    // DirOutput

    Object pStatus is a Progressbar

      //AB-StoreTopStart

      //AB-StoreTopEnd

      Set Border_Style to Border_StaticEdge
      Set Label to "Progressbar1"
      Set TypeFace to "MS Sans Serif"
      Set FontSize to 4 0
      Set Size to 13 233
      Set Location to 32 99

      //AB-StoreStart

      Set minimum_position to 0
      Set maximum_position to 250
      Set step_value to 1
      Set Current_position to 0

      //AB-StoreEnd

    End_Object    // pStatus

  End_Object    // cnt3DBox

  Object cmdInitdata is a Button

    //AB-StoreTopStart

    //AB-StoreTopEnd

    Set Label to "Databaseinitalizing"
    Set Size to 14 82
    Set Location to 57 40

    //AB-StoreStart

    Procedure OnClick
            Local string strDFPath strTemp sOutdir strTest
            local integer iLastBackSlash iError
            Get value of (frmdatabase(cnt3DBox(self))) to strTemp
            Get value of (diroutput(cnt3DBox(self))) to sOutdir
            If (trim(strTemp) = "") begin
              increment iError
              send info_box "Choose database."
            end
            If (trim(sOutdir) = "") begin
              increment iError
              send info_box "Choose directory for descriptionfiles."
            end
            If not iError begin
              //Set the new filelist
              Set_FileList strTemp
              //Set the DFPath to the new setting
              move strTemp to strDFPath
              Length strTemp to iLastBackSlash
              repeat
                  mid strTemp to strTest 1 iLastBackSlash
                  Decrement iLastBackSlash
              Until (strTest = "\")
              Left strDFPath to strDFPath iLastBackSlash
              Set_DFPath to strDFPath
              Set iActDescriptionDirectiory to sOutdir
              Set pIs_Viewed of (vlgdb_vw(client_area(self))) to 0
              Send close_panel
              Send activate_vlgdb_vw
            end


    end_procedure

    //AB-StoreEnd

  End_Object    // cmdInitdata

  Object Button1 is a Button

    //AB-StoreTopStart

    #INCLUDE Describe.inc

    //AB-StoreTopEnd

    Set Label to "Start"
    Set Location to 57 162

    //AB-StoreStart

    Procedure OnClick
            Local string strTemp sOutdir
            local integer iError
            Get value of (frmdatabase(cnt3DBox(self))) to strTemp
            Get value of (diroutput(cnt3DBox(self))) to sOutdir
            If (trim(strTemp) = "") begin
              increment iError
              send info_box "Choose database."
            end
            If (trim(sOutdir) = "") begin
              increment iError
              send info_box "Choose directory for descriptionfiles."
            end
            If not iError Send Describe
    End_procedure

    //AB-StoreEnd

  End_Object    // Button1

  Object Button2 is a Button

    //AB-StoreTopStart

    //AB-StoreTopEnd

    Set Label to "Exit"
    Set Location to 57 252

    //AB-StoreStart

    Procedure OnClick
      Send close_panel
    End_procedure

    //AB-StoreEnd

  End_Object    // Button2


  //AB-StoreStart

  Procedure Activate
    Local string sTemp sModule
    Get Module_Name to sModule
    Get_profile_string sModule "Databasesrc" to sTemp
    Set value of (frmDatabase(cnt3DBox(self))) to sTemp
    Get_profile_string sModule "Databasedescription" to sTemp
    Set value of (dirOutput(cnt3DBox(self))) to sTemp
    Forward send Activate


  End_Procedure

  //AB-StoreEnd

End_Object    // Describe_vw

//AB/ End_Object    // prj
